#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-8NqXtGVnxjEIYKjpBvMGHc
key:                  coinbase-pro-0.9.3.2-8NqXtGVnxjEIYKjpBvMGHc
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  80f4d5d58beac95c71a01e3fd6c418de
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-8NqXtGVnxjEIYKjpBvMGHc
depends:
    HsOpenSSL-0.11.7.9-1f6c1dolMVO23KUU1JNUY1
    aeson-2.1.2.1-7PAgiODdTr9Ups5Xz74Et
    aeson-casing-0.2.0.0-JXAwK8YgZmk6Z0rJYxjA3W
    async-2.2.5-IKGnBgxHhzZBAU5wJIOrS base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-4xQjhhlsgW3B20Q0YYmU1N exceptions-0.10.4
    http-api-data-0.5.1-BmgMxWEn9wpLaNKDbYvq4Q
    http-client-0.7.17-8MxePPFliuCFK7U4BexhzF
    http-client-tls-0.3.6.3-G4fCHskLCrHJojLUxUvGfs
    http-streams-0.8.9.9-J6w4LdO8siiGH2EMQM83Dw
    http-types-0.12.4-1YfphW0gbYI4QWfXKdNPV6
    io-streams-1.5.2.2-2reIjKSEQDEA6XHOcJAyNN
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-8TDgGpsnh8hBWkeMi7triG
    servant-0.20.2-4AGo0s7LVuV5vxuEEfMnhr
    servant-client-0.20-1TshXByYgZP3GwKoSKbG9H
    servant-client-core-0.20.2-GAlMRZV7BpjxeSmieC2wY
    tasty-1.4.3-7edMPBhhhg37FNXPHyvy3E
    tasty-hunit-0.10.1-GdaAZTm1ZqO9oNMESPtvnU text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-2Kzg84ExwlXEU65UvBKIG4
    unordered-containers-0.2.20-3Feu7z7nwlQLAsn5Kud3bc
    uuid-1.3.15-FGWsoqmYkKu22U0tXclIFy
    vector-0.13.1.0-E5qWEg2Mbs4GWxzttKkYkQ
    websockets-0.12.7.3-F0W9dopZimEH3pE1IAUNej
    wuss-2.0.1.1-CHEPShG6Tk835RZbkmpYkE

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

